/*

  *********************************************************************
  As a special exception, all include files are not GPL so that plugins
  can be developped under any license. WellX Telecom encourages people
  to use the GPL for any plugins but the decision is left to you.
  *********************************************************************

  This license ONLY applies to all the following files:

        osip_ctx.h    partysip.h    psp_macros.h  psp_req.h
        psp_config.h  psp_plug.h    psp_utils.h
 
  Copyright (C) 2002  WellX Telecom   - <partysip@wellx.com>
  Copyright (C) 2002  Aymeric MOIZARD - <jack@atosc.org>
  
  This program free software; you can redistribute it and/or modify
  it under the terms of the GNU Lesser General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef _PSP_CONFIG_H_
#define _PSP_CONFIG_H_

#include "psp_macros.h"

typedef struct config_element_t config_element_t;

struct config_element_t {
  char *sub_config;
  char *name;
  char *value;
  config_element_t *next;
  config_element_t *parent;
};

/* external API */
int      psp_config_load (char *filename);
void     psp_config_unload();
char*    psp_config_get_element(char *name);
int      psp_config_set_element(char *sub_config, char *string);
config_element_t *psp_config_get_sub_element(char *name,
					     char *sub_config,
					     config_element_t *start);

#endif
