/*
applet.h - ome utils functions that cannot be set in interface.c.

Copyright (C) 2000  Simon MORLAT (simon.morlat@free.fr)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef GUI_UTILS_H
#define GUI_UTILS_H

#include <gnome.h>
#include "interface.h"
#include "LinphoneMain.h"

extern GtkWidget *main_window;


void main_window_show();    /* create and show the main window if not exists*/

/* creates the applet button*/
GtkWidget *create_applet();

/* set audio levels on the main window*/
void set_levels();

/*try to open dsp. If failed, kill sound daemons if allowed by user, and try agin. If fail again, display the error message. Close it in success*/
int try_open_dsp();

void check_sound_device();

/* called by SIGUSR1*/
void linphone_wakeup(int signum);

/*called by SIGINT*/
void linphone_exit(int signum);

/* construct the GtkCList for a list of codecs*/
void codec_list_construct(GtkCList *clist,GList *codecs);

/* get codec_info_t GList from codec GtkCList */
GList *codec_list_retrieve(GtkCList *clist);

/* update graphical (only) status for codecs list*/
void codec_list_update(GtkCList *clist,double bandwidth);

/* this function does various things when shutdown */
void gui_shutdown(LinphoneMain *lpm);

/* display an alternate url (used in 380 response) */
void alt_ressource_display(gchar *url);

char *int2str(int number);

#endif