/*
  The osipua library is a library based on oSIP that implements CallLeg and User Agent
  level.
  Copyright (C) 2001  Simon MORLAT simon.morlat@free.fr
  											Aymeric MOIZARD jack@atosc.org
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/



#include "osipua.h"
#include "sdphandler.h"

sdp_t * gen_offer(SdpContext *ctx, sdp_t *tmpl){
	OsipDialog *call;
	OsipUA *ua;
	call=body_context_get_dialog(BODY_CONTEXT(ctx));
	ua=osip_dialog_get_ua(call);
	sdp_c_connection_add(tmpl,-1,
			   sgetcopy("IN"), sgetcopy("IP4"),
			   sgetcopy(ua->ua_ip4addr), NULL,
			   NULL);

	sdp_m_media_add(tmpl, sgetcopy("audio"),
		       sgetcopy("8002"), NULL, sgetcopy("RTP/AVP"));
	sdp_m_payload_add(tmpl,0,sgetcopy("109"));
	sdp_a_attribute_add(tmpl,0, sgetcopy("rtpmap"), sgetcopy("109 speex/8000/1"));
	
	return tmpl;
}

int main()
{
	OsipUA *ua;
	OsipDialog *call;
	BodyHandler *bh;
	
	osipua_init();
	
	ua=osip_ua_new();
	osip_ua_set_contact(ua,"sip:simon@127.0.0.1");
	bh=sdp_handler_new();
	sdp_handler_set_fcn_get_offer(SDP_HANDLER(bh),gen_offer);
	osip_ua_add_body_handler(ua,bh);
	
	call=osip_dialog_new(ua);
	osip_dialog_invite(call,"sip:toto@127.0.0.1:5064","application/sdp");
	
	
	osipua_exit();
	
	return 0;
}

























